"""add move beginning datetime to Game

Revision ID: 8e86a5b46ec5
Revises: 41f53100a4de
Create Date: 2021-09-07 14:55:32.965006

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.sql.expression import text

# revision identifiers, used by Alembic.
revision = '8e86a5b46ec5'
down_revision = '41f53100a4de'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        'game',
        sa.Column('move_beginning_date_time', sa.DateTime(), nullable=True)
    )
    connection = op.get_bind()
    connection.execute(
        text('UPDATE game SET move_beginning_date_time = NOW()')
    )
    op.alter_column('game', 'move_beginning_date_time', nullable=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('game', 'move_beginning_date_time')
    # ### end Alembic commands ###
